OpenTTD Source: IndustryTypeBuildData Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
IndustryTypeBuildData Struct Reference

Data for managing the number of industries of a single industry type. More...

`#include <industry.h>`

## Public Member Functions
void | Reset ()
| Reset the entry.
bool | GetIndustryTypeData (IndustryType it)
| Set the probability and min_number fields for the industry type it for a running game.

## Data Fields
uint32_t | probability
| Relative probability of building this industry.
uint8_t | min_number
| Smallest number of industries that should exist (either `0` or `1`).
uint16_t | target_count
| Desired number of industries of this type.
uint16_t | max_wait
| Starting number of turns to wait (copied to wait_count).
uint16_t | wait_count
| Number of turns to wait before trying to build again.

## Detailed Description

Data for managing the number of industries of a single industry type.

Definition at line 291 of file industry.h.

## Member Function Documentation

## ◆ GetIndustryTypeData()

bool IndustryTypeBuildData::GetIndustryTypeData | ( | IndustryType | it | ) |

Set the probability and min_number fields for the industry type it for a running game.

Parameters

  it | Industry type.

Returns
  At least one of the fields has changed value.

Definition at line 2621 of file industry_cmd.cpp.

References GetIndustryGamePlayProbability(), min_number, and probability.

Referenced by IndustryBuildData::SetupTargetCount().

## ◆ Reset()

void IndustryTypeBuildData::Reset | ( |  | ) |

Reset the entry.

Definition at line 2426 of file industry_cmd.cpp.

References max_wait, min_number, probability, target_count, and wait_count.

Referenced by ITBLChunkHandler::Load(), and IndustryBuildData::Reset().

## Field Documentation

## ◆ max_wait

uint16_t IndustryTypeBuildData::max_wait

Starting number of turns to wait (copied to wait_count).

Definition at line 295 of file industry.h.

Referenced by Reset(), and IndustryBuildData::TryBuildNewIndustry().

## ◆ min_number

uint8_t IndustryTypeBuildData::min_number

Smallest number of industries that should exist (either `0` or `1`).

Definition at line 293 of file industry.h.

Referenced by GetIndustryTypeData(), Reset(), and IndustryBuildData::SetupTargetCount().

## ◆ probability

uint32_t IndustryTypeBuildData::probability

Relative probability of building this industry.

Definition at line 292 of file industry.h.

Referenced by GetIndustryTypeData(), Reset(), and IndustryBuildData::SetupTargetCount().

## ◆ target_count

uint16_t IndustryTypeBuildData::target_count

Desired number of industries of this type.

Definition at line 294 of file industry.h.

Referenced by Reset(), IndustryBuildData::SetupTargetCount(), and IndustryBuildData::TryBuildNewIndustry().

## ◆ wait_count

uint16_t IndustryTypeBuildData::wait_count

Number of turns to wait before trying to build again.

Definition at line 296 of file industry.h.

Referenced by Reset(), and IndustryBuildData::TryBuildNewIndustry().

The documentation for this struct was generated from the following files:

- src/industry.h
- src/industry_cmd.cpp